prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.04.28'
,p_release=>'23.1.5'
,p_default_workspace_id=>1476649221156792
,p_default_application_id=>17000033
,p_default_id_offset=>6371518611441572488
,p_default_owner=>'AST'
);
end;
/
 
prompt APPLICATION 17000033 - Standard Violation Tracker
--
-- Application Export:
--   Application:     17000033
--   Name:            Standard Violation Tracker
--   Date and Time:   19:39 Tuesday October 24, 2023
--   Exported By:     HAYDEN.H.HUDSON@ORACLE.COM
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 345580363643662699
--   Manifest End
--   Version:         23.1.5
--   Instance ID:     697860793020242
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/ir_row_selector
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(345580363643662699)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'IR_ROW_SELECTOR'
,p_display_name=>'IR-Row-Selector'
,p_supported_component_types=>'PARTIAL'
,p_javascript_file_urls=>'#PLUGIN_FILES#irrs.js'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if !SHOW_YN_FIELD/}',
'<span ',
'    class="irrs u-selector" ',
'    role="checkbox" ',
'    aria-checked="false" ',
'    aria-label="Select Row" ',
'    title="Select Row" ',
'    tabindex="0" ',
'    data-primarykey ="#ID#"',
'    data-outputitem = "#OUTPUT_ITEM#"',
'    id = "irrs-#ID#"',
'    onclick="javascript:irrs.MngPK(this);"',
'>',
'</span>',
'{else/}',
'<span></span>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This column type imitates some of the functionality of the APEX$ROW_SELECTOR field of Interactive Grids. ',
'',
'The selected values are stored in a javascript array named ''irrs.PKs''. ',
'',
'For ''Select All'' functionality, add the following code in the heading field : <span class="irrsHeader u-selector" role="checkbox" aria-checked="false" aria-label="Select All Rows" title="Select All" aria-disabled="false" onclick="javascript:irrs.Sele'
||'ctAll(this);"></span>'))
,p_version_identifier=>'1.0'
,p_about_url=>'https://github.com/hhudson/IR_row_selector_template_component_plugin'
,p_files_version=>62
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(345580662777662747)
,p_plugin_id=>wwv_flow_imp.id(345580363643662699)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'ID'
,p_prompt=>'Primary Key Column'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'ID'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_examples=>'Try it! Selected a few values and run "irrs.PKs" in your console'
,p_help_text=>'The "primary key column" determines what values are injected into the irrs.PKs javascript array.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(333892313390877112)
,p_plugin_id=>wwv_flow_imp.id(345580363643662699)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'OUTPUT_ITEM'
,p_prompt=>'Output Page Item'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_demo_value=>'P1_SELECTED_IDS'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_text_case=>'UPPER'
,p_examples=>'Try it! If "P1_SELECTED_IDS" is the name of your chosen "output item", select a few values in your IR and run "apex.item(''P1_SELECTED_IDS'').getValue()" in your console.'
,p_help_text=>'Select a Page Item into which the comma-separated list of selected "Primary Keys" should be written, e.g. "P1_SELECTED_IDS"'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(334041735736831224)
,p_plugin_id=>wwv_flow_imp.id(345580363643662699)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'SHOW_YN_FIELD'
,p_prompt=>'Show Selector Y/N Field'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_demo_value=>'SHOW_SELECTOR_YN'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_examples=>'eg ''SHOW_SELECTOR_YN'''
,p_help_text=>unistr('Do you have a field that returns \2019F\2019, \2018N\2019, or \20180\2019 to indicate that a selector box should not be shown? Put it here.')
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '7661722069727273203D207B200A202020202F2F20504B732069732074686520617272617920746861742077696C6C20686F6C64207468652073656C6563746564206974656D730A20202020504B73203A205B5D2C0A0A202020202F2F204D6E67504B20';
wwv_flow_imp.g_varchar2_table(2) := '2873686F727420666F7220224D616E616765205072696D617279204B65792229206569746865722061646473206F7220737562747261637473206120676976656E20504B2066726F6D207468652061727261790A202020202F2F20706172616D65746572';
wwv_flow_imp.g_varchar2_table(3) := '20736C637472202873686F727420666F72202253656C6563746F72222920697320657870656374696E67202274686973220A202020202F2F20706172616D6574657220416C6C4F724E6F6E6520697320657870656374696E67207468652076616C756573';
wwv_flow_imp.g_varchar2_table(4) := '206F6620416C6C2F4E6F6E652F4E756C6C202D2022416C6C222077696C6C20666F726365207468652073656C656374696F6E206F66206120504B2C206576656E20696620697420616C72656164792073656C65637465640A202020204D6E67504B203A20';
wwv_flow_imp.g_varchar2_table(5) := '66756E6374696F6E2028736C6374722C416C6C4F724E6F6E65297B0A2020202020202020617065782E64656275672E696E666F28274D6E67504B203E20272C7B736C6374727D2C0A20202020202020202020202020202020202020202020202027416C6C';
wwv_flow_imp.g_varchar2_table(6) := '4F724E6F6E65272C20416C6C4F724E6F6E652C200A2020202020202020202020202020202020202020202020202761726961436865636B6564272C20736C6374722E6765744174747269627574652827617269612D636865636B65642729293B0A202020';
wwv_flow_imp.g_varchar2_table(7) := '20202020206C53656C6563746F724944203D202223222B736C6374722E69643B0A20202020202020206C504B203D20736C6374722E646174617365742E7072696D6172796B65793B0A20202020202020206C4F75747075744974656D203D20736C637472';
wwv_flow_imp.g_varchar2_table(8) := '2E646174617365742E6F75747075746974656D3B0A20202020202020206966202828736C6374722E6765744174747269627574652827617269612D636865636B65642729203D3D3D202266616C736522207C7C20416C6C4F724E6F6E65203D3D3D202241';
wwv_flow_imp.g_varchar2_table(9) := '6C6C222920262620416C6C4F724E6F6E6520213D3D20224E6F6E652229207B0A202020202020202020202020617065782E64656275672E696E666F28274D6E67504B203E2073656C656374696E6720726F7727293B0A2020202020202020202020206972';
wwv_flow_imp.g_varchar2_table(10) := '72732E504B732E70757368286C504B293B0A20202020202020202020202024286C53656C6563746F724944292E616464436C617373282269732D73656C656374656422293B0A20202020202020202020202024286C53656C6563746F724944292E617474';
wwv_flow_imp.g_varchar2_table(11) := '722822617269612D636865636B6564222C227472756522293B0A20202020202020207D20656C7365207B0A202020202020202020202020617065782E64656275672E696E666F28274D6E67504B203E20756E73656C656374696E6720726F7727293B0A20';
wwv_flow_imp.g_varchar2_table(12) := '20202020202020202020207661722072656D6F76654974656D496478203D20242E696E4172726179286C504B2C697272732E504B73293B0A202020202020202020202020697272732E504B732E73706C696365282072656D6F76654974656D496478202C';
wwv_flow_imp.g_varchar2_table(13) := '3120293B0A20202020202020202020202024286C53656C6563746F724944292E72656D6F7665436C617373282269732D73656C656374656422293B0A20202020202020202020202024286C53656C6563746F724944292E617474722822617269612D6368';
wwv_flow_imp.g_varchar2_table(14) := '65636B6564222C2266616C736522293B0A20202020202020207D0A2020202020202020617065782E64656275672E696E666F28274D6E67504B203E272C697272732E504B73293B0A2020202020202020696620286C4F75747075744974656D20213D2022';
wwv_flow_imp.g_varchar2_table(15) := '2229207B0A202020202020202020202020617065782E6974656D286C4F75747075744974656D292E73657456616C756528697272732E504B73293B0A20202020202020207D0A202020207D2C0A202020200A202020202F2F2053656C656374416C6C2073';
wwv_flow_imp.g_varchar2_table(16) := '656C6563747320616C6C207468652076697369626C6520726F77730A202020202F2F20736C637472202873686F727420666F72202253656C6563746F72222920697320657870656374696E67202274686973220A2020202053656C656374416C6C203A20';
wwv_flow_imp.g_varchar2_table(17) := '66756E6374696F6E202028736C63747229207B0A2020202020202020617065782E64656275672E696E666F282753656C656374416C6C272C7B736C6374727D2C0A20202020202020202020202020202020202020202020202027617269612D636865636B';
wwv_flow_imp.g_varchar2_table(18) := '6564272C20736C6374722E6765744174747269627574652827617269612D636865636B65642729293B0A2020202020202020697272732E504B732E6C656E677468203D20303B0A202020202020202076617220416C6C4F724E6F6E650A20202020202020';
wwv_flow_imp.g_varchar2_table(19) := '2069662028736C6374722E6765744174747269627574652827617269612D636865636B65642729203D3D3D202266616C73652229207B0A202020202020202020202020617065782E64656275672E696E666F282753656C656374416C6C203E2073656C65';
wwv_flow_imp.g_varchar2_table(20) := '6374696E672068656164657227293B0A2020202020202020202020202428222E6972727348656164657222292E616464436C617373282269732D73656C656374656422293B0A2020202020202020202020202428222E6972727348656164657222292E61';
wwv_flow_imp.g_varchar2_table(21) := '7474722822617269612D636865636B6564222C227472756522293B0A202020202020202020202020416C6C4F724E6F6E65203D2022416C6C223B0A20202020202020207D20656C7365207B0A202020202020202020202020617065782E64656275672E69';
wwv_flow_imp.g_varchar2_table(22) := '6E666F282753656C656374416C6C203E20756E73656C656374696E672068656164657227293B0A2020202020202020202020202428222E6972727348656164657222292E72656D6F7665436C617373282269732D73656C656374656422293B0A20202020';
wwv_flow_imp.g_varchar2_table(23) := '20202020202020202428222E6972727348656164657222292E617474722822617269612D636865636B6564222C2266616C736522293B0A202020202020202020202020416C6C4F724E6F6E65203D20224E6F6E65223B0A20202020202020207D0A202020';
wwv_flow_imp.g_varchar2_table(24) := '2020202020242820222E697272732220292E656163682866756E6374696F6E2820696E6465782029207B0A20202020202020202020202020202020617065782E64656275672E696E666F282753656C656374416C6C203E20272C20242820746869732029';
wwv_flow_imp.g_varchar2_table(25) := '5B305D2E646174617365742E7072696D6172796B657920293B0A20202020202020202020202020202020697272732E4D6E67504B282428207468697320295B305D2C416C6C4F724E6F6E65293B0A2020202020202020202020207D293B0A202020207D0A';
wwv_flow_imp.g_varchar2_table(26) := '7D3B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(345582654876712491)
,p_plugin_id=>wwv_flow_imp.id(345580363643662699)
,p_file_name=>'irrs.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '76617220697272733D7B504B733A5B5D2C4D6E67504B3A66756E6374696F6E28652C72297B696628617065782E64656275672E696E666F28224D6E67504B203E20222C7B736C6374723A657D2C22416C6C4F724E6F6E65222C722C226172696143686563';
wwv_flow_imp.g_varchar2_table(2) := '6B6564222C652E6765744174747269627574652822617269612D636865636B65642229292C6C53656C6563746F7249443D2223222B652E69642C6C504B3D652E646174617365742E7072696D6172796B65792C6C4F75747075744974656D3D652E646174';
wwv_flow_imp.g_varchar2_table(3) := '617365742E6F75747075746974656D2C2266616C736522213D3D652E6765744174747269627574652822617269612D636865636B65642229262622416C6C22213D3D727C7C224E6F6E65223D3D3D72297B617065782E64656275672E696E666F28224D6E';
wwv_flow_imp.g_varchar2_table(4) := '67504B203E20756E73656C656374696E6720726F7722293B76617220743D242E696E4172726179286C504B2C697272732E504B73293B697272732E504B732E73706C69636528742C31292C24286C53656C6563746F724944292E72656D6F7665436C6173';
wwv_flow_imp.g_varchar2_table(5) := '73282269732D73656C656374656422292C24286C53656C6563746F724944292E617474722822617269612D636865636B6564222C2266616C736522297D656C736520617065782E64656275672E696E666F28224D6E67504B203E2073656C656374696E67';
wwv_flow_imp.g_varchar2_table(6) := '20726F7722292C697272732E504B732E70757368286C504B292C24286C53656C6563746F724944292E616464436C617373282269732D73656C656374656422292C24286C53656C6563746F724944292E617474722822617269612D636865636B6564222C';
wwv_flow_imp.g_varchar2_table(7) := '227472756522293B617065782E64656275672E696E666F28224D6E67504B203E222C697272732E504B73292C2222213D6C4F75747075744974656D2626617065782E6974656D286C4F75747075744974656D292E73657456616C756528697272732E504B';
wwv_flow_imp.g_varchar2_table(8) := '73297D2C53656C656374416C6C3A66756E6374696F6E2865297B76617220723B617065782E64656275672E696E666F282253656C656374416C6C222C7B736C6374723A657D2C22617269612D636865636B6564222C652E67657441747472696275746528';
wwv_flow_imp.g_varchar2_table(9) := '22617269612D636865636B65642229292C697272732E504B732E6C656E6774683D302C2266616C7365223D3D3D652E6765744174747269627574652822617269612D636865636B656422293F28617065782E64656275672E696E666F282253656C656374';
wwv_flow_imp.g_varchar2_table(10) := '416C6C203E2073656C656374696E672068656164657222292C2428222E6972727348656164657222292E616464436C617373282269732D73656C656374656422292C2428222E6972727348656164657222292E617474722822617269612D636865636B65';
wwv_flow_imp.g_varchar2_table(11) := '64222C227472756522292C723D22416C6C22293A28617065782E64656275672E696E666F282253656C656374416C6C203E20756E73656C656374696E672068656164657222292C2428222E6972727348656164657222292E72656D6F7665436C61737328';
wwv_flow_imp.g_varchar2_table(12) := '2269732D73656C656374656422292C2428222E6972727348656164657222292E617474722822617269612D636865636B6564222C2266616C736522292C723D224E6F6E6522292C2428222E6972727322292E65616368282866756E6374696F6E2865297B';
wwv_flow_imp.g_varchar2_table(13) := '617065782E64656275672E696E666F282253656C656374416C6C203E20222C242874686973295B305D2E646174617365742E7072696D6172796B6579292C697272732E4D6E67504B28242874686973295B305D2C72297D29297D7D3B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(371547866228452865)
,p_plugin_id=>wwv_flow_imp.id(345580363643662699)
,p_file_name=>'irrs.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
